package Services.CaptHum;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@SpringBootApplication
@RequestMapping("/CaptHum/")
public class CaptHumApplication {private int idHum;
private double humidite;
private double precision;
private String unite;

public CaptHumApplication() {
	
	this.precision = 2;
	this.unite = "Pourcentage";
}



@GetMapping("getHum/")
public double getHumidite() {
	return humidite;
}
@GetMapping("setHum/")
public void setHumidite(double humidite) {
	this.humidite = humidite;
}

public double getPrecision() {
	return precision;
}

public void setPrecision(double precision) {
	this.precision = precision;
}

public String getUnite() {
	return unite;
}

public void setUnite(String unite) {
	this.unite = unite;
}


}
